class CallController < ApplicationController
  protect_from_forgery except: :incoming_call
  
  # http://localhost:3000/call/make_call?ops_ip_address=192.168.115.193&api_extension=9999&dialed=2000
  def make_call
    
    ops_ip_address = params[:ops_ip_address]
    dialed = params[:dialed]
    api_extension = params[:api_extension]
    url = "http://localhost:8080/test.xml"
    redirect_to "http://#{ops_ip_address}:7780/?Command=Call&Dialed=#{dialed}&ApiExtension=#{api_extension}&Url=#{url}"
    
  end
  
  # http://localhost:3000/call/incoming_call
  def incoming_call

    render :xml => '<?xml version="1.0" encoding="UTF-8"?>
    <Response>
      <Delay>1</Delay>
      <Speak>Congratulations, this is your first OZML Response command.</Speak>
      <Delay>1</Delay>
      <Speak>For more information on OZML syntax, visit www.ozekiphone.com </Speak>
    </Response>'

  end

end
